org.cpsolver.coursett.model

## Class Lecture.LectureContext

- java.lang.Object
- - org.cpsolver.coursett.model.Lecture.LectureContext

- All Implemented Interfaces:
    AssignmentContext
  Enclosing class:
    Lecture

      public class Lecture.LectureContext
      extends Object
      implements AssignmentContext

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LectureContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<JenrlConstraint>` | `activeJenrls()` Active jenrl constraints (active mean that there is at least one student between its classes)
    `void` | `addActiveJenrl(JenrlConstraint constr)` Add active jenrl constraint (active mean that there is at least one student between its classes)
    `void` | `removeActiveJenrl(JenrlConstraint constr)` Remove active jenrl constraint (active mean that there is at least one student between its classes)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LectureContext

          public LectureContext()

  - ### Method Detail

    - #### addActiveJenrl

          public void addActiveJenrl(JenrlConstraint constr)

      Add active jenrl constraint (active mean that there is at least one student between its classes)
      Parameters:
        `constr` - active join enrollment constraint

    - #### activeJenrls

          public Set<JenrlConstraint> activeJenrls()

      Active jenrl constraints (active mean that there is at least one student between its classes)
      Returns:
        set of active join enrollment constraints

    - #### removeActiveJenrl

          public void removeActiveJenrl(JenrlConstraint constr)

      Remove active jenrl constraint (active mean that there is at least one student between its classes)
      Parameters:
        `constr` - active join enrollment constraint